public class FormationInsertionException extends Exception
{

	private final int rangSouhait;
	private final int rangMax;

	/**
	 * Exception levée lorsqu'on cherche à insérer un Vaisseau dans
	 * une formation à un indice dépassant la taille de la formation
	 * @param message une message informatif
	 * @param posS la position d'insertion souhaitée
	 * @param posM le position d'insertion la plus grande possible dans la formation
	 */  
	public FormationInsertionException( String message, int posS, int posM)
	{
		super( message) ;
		this.rangSouhait = posS;
		this.rangMax = posM;
	}

	/**
	 * Redéfinition du format d'affichage de l'exception pour tenir
	 * compte des paramètre additionnels de position possible et
	 * poisition souhaitée ayant produit la levée d'exception 
	 * @return le message
	 */
	public String toString()
	{
		return super.toString() + ": " + this.rangSouhait + " > " + this.rangMax;
	}
}

